import { Euler, Object3D, Vector3 } from "three";
export declare function transverse(self?: Object3D | null): IterableIterator<Object3D>;
export declare function centerOfDescendant(self: Object3D): Vector3;
export declare function clampVector3ByRadian(v: Vector3 | Euler, min?: Vector3, max?: Vector3): Vector3 | Euler;
export declare function clampByRadian(v: number, min?: number, max?: number): number;
